Skip to main content
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
jobs
Get Application Jobs Api Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/jobs \
--header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "name": "<string>",
      "operation_id": "<string>",
      "operation_name": "<string>",
      "operation_status": "<string>",
      "operation_type": "<string>",
      "status": "<string>",
      "timeout": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "result": {},
      "scheduler_name": "<string>",
      "start_at": "2023-11-07T05:31:56Z",
      "stop_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "page_size": 123,
  "total": 123,
  "total_pages": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

application_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100

Response

Successful Response

items
PlatformResourceJob · object[]
required
page
integer
required
page_size
integer
required
total
integer
required
total_pages
integer
required